The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get All Child Domains in a Admin Domain

Prev Next

This API gets details of all child admin domains in the Manager including hierarchy information in the specified domain.

Resource URL

GET /domain/<domain_id>

Request Parameters

Field Name Description Data Type
domain_id Domain ID Number

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
DomainDescriptor Domain details Object

Details of DomainDescriptor:

Field Name Description Data Type
id Domain Id Number
name Domain name String
childdomains List of domain descriptor object Array

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/domain/101

Response

{
       "DomainDescriptor":
       {
           "id": 101,
           "name": "Test Child Domain 1",
           "childdomains":
           [
               {
                   "id": 103,
                   "name": "Test Child Domain 1.1",
                   "childdomains":
                   [
                       {
                           "id": 104,
                           "name": "Test Child Domain 1.1.1",
                           "childdomains": null
                       }
                   ]
               }
           ]
       }
    } 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain